[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# CancelDrag

Cancels an active drag operation.

## Declaration

Source position: controls.pp line 2748

`procedure CancelDrag;`

## Description

CancelDrag is a procedure used to cancel an active drag operation. CancelDrag calls the DragStop method in the currently active DragManager.

Remark: | No actions are performed in the routine when DragManager has not been assigned (contains Nil), or when DragManager returns False from its IsDragging method.

## See also

DragManager |  | The current DragManager (always TDragManagerDefault).
TDragManager.DragStop |  | Ends dragging.
TDragManager.IsDragging |  | Check if dragging is in progress.